﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion;
using Syncfusion.JavaScript.Models;




    public partial class TaskData
    {
        public int TaskID { get; set; }
        public string WBSParentName { get; set; }
        public string WBSName { get; set; }
        public string Priority { get; set; }
        public Nullable<int> ParentID { get; set; }
        public Nullable<int> EstimatedHours { get; set; }
        public Nullable<System.DateTime> EstimatedStartDate { get; set; }
        public Nullable<System.DateTime> EstimatedEndDate { get; set; }
        public Nullable<System.DateTime> ActualStartDate { get; set; }
        public Nullable<System.DateTime> ActualEndDate { get; set; }
        public string TicketNumber { get; set; }
        public List<int> LstResources { get; set; }
        public Nullable<int> TaskTypeId { get; set; }
        public string Type { get; set; }
        public Nullable<int> TaskStatusId { get; set; }
      
        public string Status { get; set; }
        public decimal Completed { get; set; }
        public string Predecessor { get; set; }
        
    }
   
    public class ProjectWiseStatus

    {
        public int TaskStatusId { get; set; }

        public string DisplayValue { get; set; }
    }
    public class PriorityCodes

    {
        public int PriorityId { get; set; }

        public string ColorCode { get; set; }

        public string Name { get; set; }
    }
    public class WorkItemTypes

    {
        public int WorkItemID { get; set; }

        public string IconName { get; set; }

        public string WorkItemName { get; set; }
    }


